Summary: ACPI kernel daemon and control utility
Name: acpid
Version: 1.0.2
Release: alt3
License: GPL
Group: System/Servers
Serial: 1

Url: http://phobos.fs.tum.de/acpi/

Packager: Albert R. Valiev <darkstar@altlinux.ru>

Source0: acpid-%version.tar.bz2
Source1: acpid.init
Source2: poweroff.rc

PreReq: /sbin/chkconfig
ExclusiveArch: %ix86

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner.  The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q -n %name-%version

%build
%make_build

%install
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_sysconfdir/acpi/events
%__mkdir_p %buildroot%_sbindir
%__mkdir_p %buildroot%_man8dir
%__mkdir_p %buildroot%_docdir/%name-%version/samples

%__install acpid %buildroot%_sbindir/
%__install acpid.8 %buildroot%_man8dir/
%__install %SOURCE1 %buildroot%_initdir/%name
%__install %SOURCE2 %buildroot%_sysconfdir/acpi/events/power
%__install README %buildroot%_docdir/%name-%version/
%__install samples/sample.conf %buildroot%_docdir/%name-%version/samples/
%__install samples/acpi_handler.sh %buildroot%_docdir/%name-%version/samples/


%post
%post_service acpid

%preun
%preun_service acpid

%files
%dir %_sysconfdir/acpi
%dir %_sysconfdir/acpi/events
%dir %_docdir/%name-%version
%dir %_docdir/%name-%version/samples

%attr(755,root,root) %_sbindir/*
%attr(755,root,root) %config(noreplace) %_initdir/acpid
%attr(644,root,root) %config(noreplace) %_sysconfdir/acpi/events/power
%attr(644,root,root) %_mandir/man8/*
%attr(644,root,root) %doc %_docdir/%name-%version/README
%attr(644,root,root) %doc %_docdir/%name-%version/samples/*

%changelog
* Fri Sep 12 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:1.0.2-alt3
- Fixed pidfile creation #2970

* Mon Aug 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:1.0.2-alt2
- Added pid file creation to daemon

* Mon Jul 07 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:1.0.2-alt1
- New version (get from orphaned)

* Mon Nov 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0-alt2
- Added man page

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0-alt1
- 1.0.0

* Thu Jun 14 2001 Konstantin Volckov <goldhead@altlinux.ru> 20010510-alt1
- New version of acpid daemon
- Added powertools utilities
- Fixed documentation

* Tue Mar 20 2001 Kostya Timoshenko <kt@petr.kz> 071100-ipl7mdk
- build for RE

* Sun Feb 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-6mdk
- ExclusiveArch: x86 (for now)
- Much spec cleaning

* Fri Nov 03 2000 David BAUDENS <baudens@mandrakesoft.com> 071100-5mdk
- ExcludeArch: ppc at present time

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 071100-4mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 071100-3mdk
- little cleaning

* Thu Jul 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-2mdk
- Version 071100 (requires acpi interpreter from 2.4.0-test3 or later)

* Fri Jun 09 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 052200-1mdk
- Version 052200
- Uses configure script not manual make method.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 031700-5mdk
- Add alpha to ExcludeArch.

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 031700-4mdk
- Replaced exclusivearch <shitload of x86> with ExcludeArch sparc sparc64

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 031700-3mdk
- exclusivearch x86

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-2mdk
- use percent-config for init.d startup script
- compress acpid.rc with bzip2

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-1mdk
- initial contribs version of acpid package
